<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <breakpoint@schreibersebastian.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_realurl.php 37 2011-01-26 23:11:58Z schreiberten $
 */
class tx_sschsimpleviewer_realurl
{
	/**
	 * Generates additional RealURL configuration and merges it with provided configuration
	 * @param array $params
	 * @param tx_realurl_autoconfgen $pObj
	 * @return array Updated configuration
	 */
	function addRealUrlConfig($params, &$pObj)
	{
		return array_merge_recursive($params['config'], array(
			'postVarSets' => array(
				'_DEFAULT' => array(
					'gallerytyp' => array(
						array(
							'GETvar' => 'galleryType',
							'valueMap' => array(
								'0' => '0',
								'1' => '1',
								'2' => '2',
								'3' => '3',
							),	
						),
					),
					'gallery' => array(
							array(
								'GETvar' => 'gallery',
								'lookUpTable' => array(
									'table' => 'tx_sschsimpleviewer_gallery',
									'id_field' => 'uid',
									'alias_field' => 'title',
									'addWhereClause' => ' AND NOT deleted',
									'useUniqueCache' => 1,
									'useUniqueCache_conf' => array(
										'strtolower' => 1,
										'spaceCharacter' => '-',
									),
								),
							),
						),
					)
				),			
		));
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/class.tx_sschsimpleviewer_realurl.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/class.tx_sschsimpleviewer_realurl.php']);
}

?>