<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_PostcardViewerGalleryRenderer.php 38 2011-01-27 15:57:38Z schreiberten $
 */

class tx_sschsimpleviewer_PostcardViewerGalleryRenderer extends tx_sschsimpleviewer_AbstractRenderer {

    /**
     * Set the default options array for the attributes of gallery
     * @return void
     */
    public function __construct() {
        self::$options = array(
            'cellDimension' => '800',
            'columns' => '4',
            'zoomOutPerc' => '15',
            'zoomInPerc' => '100',
            'frameWidth' => '20',
            'frameColor' => '0xFFFFFF',
            'captionColor' => '0xFFFFFF',
            'enableRightClickOpen' => 'TRUE',
            'maxRotation' => '12',
            'randomize' => 'TRUE',
            'showInstructions' => 'FALSE',
            'captionPadding' => '20',
            'xmlURL' => 'null',
            'zoomLength' => '15',
            'useSmoothing' => 'TRUE',
            'zoomOutToFit' => 'FALSE',
            'pcvStageWidth' => 'null',
            'pcvStageHeight' => 'null',
        );

         parent::__construct();
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getStartTags()
     */
    public function getStartTags() {
        return '<?xml version="1.0" encoding="UTF-8"?>' . chr(10);
    }

    /**
     * Add special starttag to the output
     * @param array $addOptions
     * @return string 
     */
    public function getSimpleViewerGalleryStartTag(array $addOptions = array()) {
        $tag = '<gallery';
        $tag .= $this->getAttributes($addOptions);
        $tag .= '>' . chr(10);
        return $tag;
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getEndTags()
     */
    public function getEndTags() {
        return chr(10) . '</gallery>';
    }

    /**
     *
     * @param integer $uid
     * @param string $image
     * @return string
     */
    public function openEntryTag($imageUrl, $caption = '') {
        $tag = '<image>';
        $tag .= '<url>' . $imageUrl . '</url>';
        $tag .= '<caption><![CDATA[' .$caption. ']]></caption>';
        $tag .= '</image>';
        return $tag;
    }

    /**
     * 
     * @return void
     */
    public function closeEntryTag() {
        
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_PostcardViewerGalleryRenderer.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_PostcardViewerGalleryRenderer.php']);
}