<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_SimpleViewerGalleryRenderer.php 45 2011-02-20 17:16:23Z schreiberten $
 */

class tx_sschsimpleviewer_SimpleViewerGalleryRenderer extends tx_sschsimpleviewer_AbstractRenderer {

    /**
     * Set the default options array for the attributes of gallery
     * @see http://www.simpleviewer.net/simpleviewer/pro/support/pro_options.html
     * @return void
     */
    public function __construct() {
        self::$options = array(
            'maxImageWidth' => '640',
            'maxImageHeight' => '640',
            'galleryStyle' => 'MODERN',
            'textColor' => '#FFFFFF',
            'frameColor' => '#FFFFFF',
            'frameWidth' => '20',
            'enableLooping' => 'TRUE',
            'dropShadowStrength' => '1',
            'showBigPlayButton' => 'TRUE',
            'imageVAlign' => '',
            'imageHAlign' => '',
            'showImageNav' => '',
            'captionPosition' => '',
            'imageTransitionType' => 'FADE',
            'languageCode' => 'AUTO',
            'stageBorder' => '10',
            'stageHPadding' => '30',
            'stageVPadding' => '10',
            'stageVAlign' => 'CENTER',
            'stageHAlign' => 'CENTER',
            'lockTopStack' => 'TRUE',
            'lockBottomStack' => 'TRUE',
            'enableKeyboardControls' => 'TRUE',
            'enableMouseWheel' => 'FALSE',
            'enableAPI' => 'FALSE',
            'firstImageIndex' => '0',
            'randomizeImages' => 'FALSE',
            'imageClickMode' => 'NAVIGATE',
            'imageScaleMode' => 'SCALE',
            'imagePreloading' => 'PAGE',
            'imageSmoothing' => 'TRUE',
            'imageFrameStyle' => 'SQUARE',
            'imageCornerRadius' => '10',
            'imageDropShadow' => 'TRUE',
            'imageTransitionTime' => '0.3',
            'flashBrightness' => '2',
            'imageBackColor' => '#000000',
            'imageBackOpacity' => '0',
            'showOverlay' => 'HOVER',
            'showImageNav' => 'HOVER',
            'imageNavStyle' => 'CIRCLE',
            'imageNavScale' => '0',
            'imageNavColor' => '#FFFFFF',
            'imageNavBackColor' => '#000000',
            'imageNavBackOpacity' => '0.5',
            'imageNavPadding' => '0',
            'hideOverlayOnTransition' => 'TRUE',
            'overlayFadeTime' => '0.3',
            'languageList' => 'Vorheriges Bild,Nächstes Bild,Start,Stop,Audio abspielen,Audio pausieren,Vollbild öffnen,Vollbild verlassen,Bild öffnen,Bild downloaden,Über,Autoplay aktiviert,AutoPlay deaktiviert',
            'thumbPadding' => '8',
            'thumbPosition' => 'LEFT',
            'thumbColumns' => '3',
            'thumbRows' => '3',
            'thumbWidth' => '65',
            'thumbHeight' => '65',
            'thumbLoadBrightness' => '',
            'thumbNavStyle' => '',
            'thumbVAlign' => '',
            'thumbHAlign' => 'CENTER',
            'thumbFrameColor' => '#FFFFFF',
            'thumbFrameHoverColor' => '#FFFFFF',
            'thumbFrameStyle' => 'SQUARE',
            'thumbCornerRadius' => '10',
            'thumbFrameWidth' => '2',
            'thumbHoverFrameWidth' => '6',
            'showThumbVisited' => 'TRUE',
            'showThumbLoadBar' => 'TRUE',
            'thumbLoadBarHeight' => '10',
            'thumbClickShift' => '2',
            'thumbLoadingAlpha' => '60',
            'thumbDropShadow' => 'TRUE',
            'thumbPreloading' => '',
            'doThumbPopOut' => 'TRUE',
            'changeCaptionOnHover' => 'FALSE',
            'changeImageOnHover' => 'FALSE',
            'thumbNavPosition' => 'BOTTOM',
            'thumbNavColor' => '#FFFFFF',
            'thumbNavHoverColor' => '#FFFFFF',
            'thumbNavBackColor' => '#000000',
            'thumbNavBackOpacity' => '0.5',
            'thumbNavPadding' => '10',
            'thumbNavSlideTime' => '1',
            'buttonBarHAlign' => '',
            'buttonBarPosition' => '',
            'showDownloadButton' => 'FALSE',
            'showOpenButton' => 'FALSE',
            'showFullscreenButton' => 'FALSE',
            'showAutoPlayButton' => 'TRUE',
            'showAudioButton' => 'FALSE',
            'showNavButtons' => 'TRUE',
            'showToolTips' => 'TRUE',
            'buttonBarHAlign' => 'RIGHT',
            'buttonBarVAlign' => 'TOP',
            'buttonBarPadding' => '10',
            'buttonBarColor' => '#FFFFFF',
            'buttonBarHoverColor' => '#FFFFFF',
            'buttonBarBackColor' => '#000000',
            'buttonBarBackOpacity' => '0.5',
            'buttonBarScale' => '1',
            'floatButtonBar' => 'FALSE',
            'title' => 'SimpleViewer Gallery',
            'titlePosition' => 'LEFT',
            'titleFontName' => 'Verdana, Helvetica, Arial, _sans',
            'titleFontColor' => '#FFFFFF',
            'titleFontSize' => '12',
            'titlePadding' => '0',
            'titleBackColor' => '#000000',
            'titleBackOpacity' => '0',
            'titleWidth' => '200',
            'titleHeight' => '22',
            'titleDropShadow' => 'TRUE',
            'floatTitle' => 'TRUE',
            'titleTextAlignment' => 'LEFT',
            'captionPosition' => 'LEFT',
            'captionFontName' => 'Verdana, Helvetica, Arial, _sans',
            'captionFontColor' => '#FFFFFF',
            'captionFontSize' => '12',
            'showImageNumber' => 'TRUE',
            'imageNumberFontSize' => '12',
            'captionPadding' => '10',
            'captionTextAlignment' => 'LEFT',
            'captionBackColor' => '#000000',
            'captionBackOpacity' => '0',
            'captionWidth' => '200',
            'captionHeight' => '120',
            'captionDropShadow' => 'FALSE',
            'enableCaptionLinks' => 'TRUE',
            'floatCaption' => 'TRUE',
            'autoPlayOnLoad' => 'FALSE',
            'displayTime' => '5',
            'showAutoPlayStatus' => 'TRUE',
            'goNextOnAutoPlay' => 'FALSE',
            'autoPlayThumbs' => 'TRUE',
            'audioURL' => '',
            'loopAudio' => 'TRUE',
            'playAudioOnLoad' => 'FALSE',
            'audioVolume' => '0.8',
            'backgroundURL' => '',
            'backgroundScale' => 'STRETCH',
            'watermarkURL' => '',
            'watermarkHAlign' => 'RIGHT',
            'watermarkVAlign' => 'BOTTOM',
            'watermarkPadding' => '10',
            'watermarkLinkURL' => '',
            'watermarkLinkTarget' => '_self',
            'useFlickr' => 'FALSE',
            'flickrUserName' => '',
            'flickrTags' => '',
            'flickrUserId' => '',
            'flickrSetId' => '',
            'flickrGroupId' => '',
            'flickrTagMode' => 'ALL',
            'flickrSort' => 'DATE-POSTED-DESC',
            'flickrImageSize' => 'LARGE',
            'flickrImageCount' => '50',
            'flickrExtraParams' => '',
            'flickrShowTitle' => 'TRUE',
            'flickrShowDescription' => 'TRUE',
            'flickrShowPageLink' => 'FALSE',
            'flickrPageLinkText' => 'View Photo Page',
            'flickrTitleFontName' => 'Verdana, Helvetica, Arial, _sans',
            'flickrTitleFontColor' => '0xFFFFFF',
            'flickrTitleFontSize' => '12',
            'showBackButton' => 'FALSE',
            'backButtonText' => '< Back',
            'backButtonURL' => '',
            'backButtonFontColor' => '#FFFFFF',
            'backButtonFontSize' => '12',
            'backButtonFontName' => 'Verdana, Helvetica, Arial, _sans',
            'backButtonBackColor' => '#000000',
            'backButtonBackOpacity' => '0.5',
            'backButtonX' => '10',
            'backButtonY' => '10',
            'useFixedLayout' => 'FALSE',
            'imageAreaX' => '280',
            'imageAreaY' => '60',
            'imageAreaWidth' => '500',
            'imageAreaHeight' => '500',
            'thumbAreaX' => '10',
            'thumbAreaY' => '140',
            'captionX' => '10',
            'captionY' => '520',
            'titleX' => '10',
            'titleY' => '100',
            'buttonBarX' => '700',
            'buttonBarY' => '10',
            'mobileShowNav' => 'TRUE',
            'mobileShowCaption' => 'TRUE',
            'mobileTransition' => 'SLIDE',
            'useFlash' => 'TRUE',
            'useColorCorrection' => 'TRUE',
        );

        parent::__construct();
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getStartTags()
     */
    public function getStartTags() {
        return '<?xml version="1.0" encoding="UTF-8"?>' . chr(10);
    }

    /**
     * Add special starttag to the output
     * @param array $addOptions
     * @return string
     */
    public function getSimpleViewerGalleryStartTag(array $addOptions = array()) {
        $tag = '<simpleviewergallery';
        $tag .= $this->getAttributes($addOptions);
        $tag .= '>';
        return $tag . chr(10);
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getEndTags()
     */
    public function getEndTags() {
        return chr(10) . '</simpleviewergallery>';
    }

    /**
     *
     * @param integer $uid
     * @param string $image
     * @return string
     */
    public function openEntryTag($imageUrl, $thumbURL, $linkURL = '', $linkTarget = '', $caption = '') {
        return '<image imageURL="' . htmlspecialchars($imageUrl) . '" thumbURL="' . htmlspecialchars($thumbURL) . '" linkURL="' . htmlspecialchars($linkURL) . '" linkTarget="' . htmlspecialchars($linkTarget) . '"><caption><![CDATA[' . $caption . ']]></caption></image>';
    }

    /**
     * 
     * @return void
     */
    public function closeEntryTag() {
        
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_SimpleViewerGalleryRenderer.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_SimpleViewerGalleryRenderer.php']);
}