<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_TiltViewerGalleryRenderer.php 38 2011-01-27 15:57:38Z schreiberten $
 */

class tx_sschsimpleviewer_TiltViewerGalleryRenderer extends tx_sschsimpleviewer_AbstractRenderer {

    public function  __construct() {
        self::$options = array(
            'xmlURL' => 'gallery.xml',
            'maxJPGSize' => '500',
            'bkgndTransparent' => 'FALSE',
            'showFullscreenOption' => 'TRUE',
            'frameWidth' => '40',
            'zoomedInDistance' => '1400',
            'zoomedOutDistance' => '7500',
            'fontName' => 'Arial',
            'titleFontSize' => '90',
            'descriptionFontSize' => '32',
            'linkFontSize' => '41',
            'linkTarget' => '_blank',
            'navButtonColor' => '0xFFFFFF',
            'flipButtonColor' => '0xFFFFFF',
            'textColor' => '0x000000',
            'linkTextColor' => '0xFFFFFF',
            'linkBkgndColor' => '0x000000',
            'enableSounds' => 'TRUE',
            'tiltAmountIn' => '75',
            'tiltAmountOut' => '120',
        );
        parent::__construct();
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getStartTags()
     */
    public function getStartTags() {
        return '<?xml version="1.0" encoding="UTF-8"?>' . chr(10);
    }

    /**
     * Add special starttag to the output
     * @return string
     */
    public function getSimpleViewerGalleryStartTag() {
        return '<tiltviewergallery><photos>' . chr(10);
    }

    /**
     * (non-PHPdoc)
     * @see Classes/Renderers/AbstractRenderer#getEndTags()
     */
    public function getEndTags() {
        return chr(10) . '</photos></tiltviewergallery>';
    }

    /**
     *
     * @param integer $uid
     * @param string $image
     * @return string
     */
    public function openEntryTag($imageUrl, $caption = '', $description = '', $link = '', $showFlipButton = true) {
        if ($link) {
            $linkAttribute = 'linkurl="' . $link . '"';
        }

        $tag = '<photo imageurl="' . $imageUrl . '" ' . $linkAttribute . ' showFlipButton="' . $showFlipButton . '">';
        $tag .= '<title><![CDATA[' .$caption. ']]></title>';
        $tag .= '<description><![CDATA[' .$description. ']]></description>';
        $tag .= '</photo>';
        return $tag;
    }

    /**
     * 
     * @return void
     */
    public function closeEntryTag() {
        
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_TiltViewerGalleryRenderer.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/Renderers/class.tx_sschsimpleviewer_TiltViewerGalleryRenderer.php']);
}