<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_SimpleViewerGalleryXML.php 41 2011-02-02 07:29:08Z schreiberten $
 */

/**
 * 
 * @propertySimpleViewerGalleryRenderer $renderer
 *
 */
class tx_sschsimpleviewer_SimpleViewerGalleryXML extends tx_sschsimpleviewer_SimpleViewerBasisGalleryXML {

    /**
     *
     * @var array
     */
    protected $properties = array('hasFlickr' => true);

    /**
     *
     * @param integer $startPid
     * @return void
     */
    public function __construct() {
        parent::__construct();

        $this->optionsName = 'simpleviewer';
        $this->renderer = t3lib_div::makeInstance('tx_sschsimpleviewer_SimpleViewerGalleryRenderer');
    }

    /**
     *
     * @param array $images
     * @param array $gallery
     * @return void
     */
    protected function renderXMLForImages(array $images, array $gallery) {

        // Start
        $content = $this->renderer->getStartTags();

        $this->renderer->setOption('title', $gallery['title']);

        if ($this->conf['languageList']) {
            $this->renderer->setOption('languageList', $this->conf['languageList']);
        }

        $attributesArray = array('maxImageWidth' => $this->conf['maxImageWidth'], 'maxImageHeight' => $this->conf['maxImageHeight']);
        $content .= $this->renderer->getSimpleViewerGalleryStartTag($attributesArray);

        foreach ($images as $image) {
            //$bigImage = $this->createBigImage($this->path . $image['image']);
            $bigImage = $this->path . $image['image'];
            if ($image['thumb']) {
                $thumbImage = $this->path . $image['thumb'];
            } elseif ($thumbImageTemp = $this->thumbFileExists($bigImage)) {
                $thumbImage = $thumbImageTemp;
            } else {
                $thumbImage = $bigImage;
            }
            $thumbImage = $this->createThumbImage($thumbImage);
            $bigImage = $this->createBigImage($bigImage);

            if ($image['link']) {
                $imageLink = $image['link'];
            }

            $linkTarget = $this->conf['linkTarget'] ? $this->conf['linkTarget'] : '_blank';

            $caption = $this->parseRTE($image['caption']);

            $content .= $this->renderer->openEntryTag($bigImage, $thumbImage, $imageLink, $linkTarget, $caption);
        }
        $content .= $this->renderer->getEndTags();
        $this->renderContent($content);
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_SimpleViewerGalleryXML.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_SimpleViewerGalleryXML.php']);
}