<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_TiltViewerGalleryXML.php 41 2011-02-02 07:29:08Z schreiberten $
 */

/**
 * 
 * @property TiltViewerGalleryRenderer $renderer 
 *
 */
class tx_sschsimpleviewer_TiltViewerGalleryXML extends tx_sschsimpleviewer_SimpleViewerBasisGalleryXML {

    /**
     *
     * @var array
     */
    protected $properties = array('hasFlickr' => true);

    /**
     *
     * @param integer $startPid
     * @return void
     */
    public function __construct() {
        parent::__construct();
        $this->renderer = t3lib_div::makeInstance('tx_sschsimpleviewer_TiltViewerGalleryRenderer');
        $this->optionsName = 'tiltviewer';
    }

    /**
     *
     * @param array $images
     * @param array $gallery
     * @return void
     */
    protected function renderXMLForImages(array $images, array $gallery) {
        // Start

        $content = $this->renderer->getStartTags();

        $content .= $this->renderer->getSimpleViewerGalleryStartTag();

        foreach ($images as $image) {
            $bigImage = $this->createBigImage($this->path . $image['image']);
            $link = $this->getLinkToPage($image['link']);
            $showFlipButton = isset($image['show_flip_button']) ? $image['show_flip_button'] : true;
            $showFlipButton = !empty($showFlipButton) ? 'true' : 'false';

            $content .= $this->renderer->openEntryTag($bigImage, $this->parseRTE($image['caption']), $this->parseRTE($image['description']), $link, $showFlipButton);
        }
        $content .= $this->renderer->getEndTags();
        $this->writeContentToCache($content);
        $this->renderContent($content);
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_TiltViewerGalleryXML.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_TiltViewerGalleryXML.php']);
}