<?php

/* * *************************************************************
 *  Copyright notice
 *
 *  (c) 2010 Sebastian Schreiber <schreiber@springerf3.de>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: class.tx_sschsimpleviewer_ViewerFactory.php 38 2011-01-27 15:57:38Z schreiberten $
 */
class tx_sschsimpleviewer_ViewerFactory {

    /**
     *
     * @param $type
     */
    public static function createViewerFactory($type = '') {
        switch ($type) {
            case 1:
                $viewer = t3lib_div::makeInstance('tx_sschsimpleviewer_SimpleViewerGalleryXML');
                break;
            case 2:
                $viewer = t3lib_div::makeInstance('tx_sschsimpleviewer_TiltViewerGalleryXML');
                break;
            case 3:
                $viewer = t3lib_div::makeInstance('tx_sschsimpleviewer_AutoViewerGalleryXML');
                break;
            case 4:
                $viewer = t3lib_div::makeInstance('tx_sschsimpleviewer_PostcardViewerGalleryXML');
                break;
            default:
                $viewer = t3lib_div::makeInstance('tx_sschsimpleviewer_SimpleViewerGalleryXML');
                break;
        }
        return $viewer;
    }
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_ViewerFactory.php']) {
    include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/ssch_simpleviewer/lib/class.tx_sschsimpleviewer_ViewerFactory.php']);
}