<?php

if (!defined('TYPO3_MODE'))
    die('Access denied.');

$l10n_mode_ex = 'exclude';
$l10n_mode = 'mergeIfNotBlank';

$TCA['tx_sschsimpleviewer_gallery'] = array(
    'ctrl' => $TCA['tx_sschsimpleviewer_gallery']['ctrl'],
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,title,path,images'
    ),
    'feInterface' => $TCA['tx_sschsimpleviewer_gallery']['feInterface'],
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
            'config' => array(
                'type' => 'select',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
                )
            )
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_sschsimpleviewer_gallery',
                'foreign_table_where' => 'AND tx_sschsimpleviewer_gallery.pid=###CURRENT_PID### AND tx_sschsimpleviewer_gallery.sys_language_uid IN (-1,0)',
            )
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough'
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
            'config' => array(
                'type' => 'check',
                'default' => '0'
            )
        ),
        'mode' => Array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode',
            'config' => Array(
                'type' => 'select',
                'items' => Array(
                    Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.0', 0),
                    Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.1', 1),
                ),
                'default' => 0,
            )
        ),
        'title' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.title',
            'config' => array(
                'type' => 'input',
                'size' => '48',
                'max' => '255',
                'eval' => 'required,trim',
            )
        ),
        'flickruid' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.flickruid',
            'config' => array(
                'type' => 'input',
                'size' => '48',
                'max' => '255',
                'eval' => 'trim',
            )
        ),
        'flickrusername' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.flickrusername',
            'config' => array(
                'type' => 'input',
                'size' => '48',
                'max' => '255',
                'eval' => 'trim',
            )
        ),
        'preview_image' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.image',
            'config' => array(
                'type' => 'group',
                'internal_type' => 'file',
                'allowed' => 'gif,png,jpeg,jpg',
                'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
                'uploadfolder' => 'uploads/tx_sschsimpleviewer',
                'show_thumbs' => 1,
                'size' => 1,
                'minitems' => 0,
                'maxitems' => 1,
            )
        ),
        'description' => Array(
            'exclude' => 1,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.description',
            'config' => Array(
                'type' => 'text',
                'cols' => '30',
                'rows' => '5',
            )
        ),
        'path' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.path',
            'config' => array(
                'type' => 'input',
                'size' => '48',
                'max' => '255',
                'eval' => 'trim',
                'wizards' => array(
                    '_PADDING' => 2,
                    'link' => array(
                        'type' => 'popup',
                        'title' => 'Link',
                        'icon' => 'link_popup.gif',
                        'script' => 'browse_links.php?mode=wizard',
                        'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
                    )
                )
            )
        ),
        'images' => Array(
            'exclude' => 1,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.images',
            'config' => Array(
                'type' => 'inline',
                'languageMode' => 'inherit',
                'foreign_table' => 'tx_sschsimpleviewer_images',
                'foreign_field' => 'parentid',
                'foreign_table_field' => 'parenttable',
                'maxitems' => 30,
                'behaviour' => Array(
                    'localizationMode' => 'select',
                    'localizeChildrenAtParentLocalization' => 1,
                ),
                'appearance' => array(
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1,
                    'showSynchronizationLink' => 1,
                ),
            )
        ),
        /* http://buzz.typo3.org/teams/core/article/bidirection-mm-relations/ */
        'dam' => Array(
            'exclude' => 1,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.images_dam',
            'config' => Array(
                'type' => 'select',
                'foreign_table' => 'tx_dam',
                'size' => 5,
                'autoSizeMax' => 25,
                'minitems' => 0,
                'maxitems' => 500,
                'prepend_tname' => 1,
                'MM_match_fields' => array('ident' => 'simpleviewer', 'tablenames' => 'tx_sschsimpleviewer_gallery'),
                'MM_foreign_select' => 1,
                'MM_opposite_field' => 1,
                'MM' => 'tx_dam_mm_ref',
            )
        ),
        'dam_cat' => Array(
            'label' => 'LLL:EXT:dam/locallang_db.php:tx_dam_item.category',
            'l10n_mode' => 'exclude',
            'l10n_display' => 'defaultAsReadonly',
            'config' => $GLOBALS['T3_VAR']['ext']['dam']['TCA']['categories_mm_config'],
        ),
    ),
    'types' => array(
        '0' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, path'),
        '1' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, images'),
        '2' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, path'),
        '3' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, dam'),
        '4' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, flickruid, flickrusername'),
        '5' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, mode, title, dam_cat'),
    ),
);

if (t3lib_extMgm::isLoaded('dam')) {
    $TCA['tx_sschsimpleviewer_gallery']['columns']['mode']['config']['items']['2'] = Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.2', 2);
    $TCA['tx_sschsimpleviewer_gallery']['columns']['mode']['config']['items']['3'] = Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.3', 3);
    $TCA['tx_sschsimpleviewer_gallery']['columns']['mode']['config']['items']['5'] = Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.5', 5);
}
$TCA['tx_sschsimpleviewer_gallery']['columns']['mode']['config']['items']['4'] = Array('LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_gallery.mode.I.4', 4);



$TCA['tx_sschsimpleviewer_images'] = array(
    'ctrl' => $TCA['tx_sschsimpleviewer_images']['ctrl'],
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid,l10n_parent,l10n_diffsource,hidden,caption,link,name,image,thumb,description'
    ),
    'feInterface' => $TCA['tx_sschsimpleviewer_images']['feInterface'],
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.language',
            'config' => array(
                'type' => 'select',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xml:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xml:LGL.default_value', 0)
                )
            )
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_sschsimpleviewer_images',
                'foreign_table_where' => 'AND tx_sschsimpleviewer_images.pid=###CURRENT_PID### AND tx_sschsimpleviewer_images.sys_language_uid IN (-1,0)',
            )
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough'
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
            'config' => array(
                'type' => 'check',
                'default' => '0'
            )
        ),
        'caption' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.caption',
            'config' => array (
                'type' => 'text',
                'cols' => '30',
                'rows' => '5',
                'wizards' => array(
                    '_PADDING' => 2,
                    'RTE' => array(
                        'notNewRecords' => 1,
                        'RTEonly'       => 1,
                        'type'          => 'script',
                        'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
                        'icon'          => 'wizard_rte2.gif',
                        'script'        => 'wizard_rte.php',
                    ),
                ),
            )
        ),
        'link' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.link',
            'config' => array(
                'type' => 'input',
                'size' => '15',
                'max' => '255',
                'checkbox' => '',
                'eval' => 'trim',
                'wizards' => array(
                    '_PADDING' => 2,
                    'link' => array(
                        'type' => 'popup',
                        'title' => 'Link',
                        'icon' => 'link_popup.gif',
                        'script' => 'browse_links.php?mode=wizard',
                        'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
                    )
                )
            )
        ),
        'image' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.image',
            'config' => array(
                'type' => 'group',
                'internal_type' => 'file',
                'allowed' => 'gif,png,jpeg,jpg',
                'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
                'uploadfolder' => 'uploads/tx_sschsimpleviewer',
                'show_thumbs' => 1,
                'size' => 1,
                'minitems' => 0,
                'maxitems' => 1,
            )
        ),
        'description' => Array(
            'exclude' => 1,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.description',
            'config' => array(
                'type' => 'text',
                'cols' => '30',
                'rows' => '5',
                'wizards' => array(
                    '_PADDING' => 2,
                    'RTE' => array(
                        'notNewRecords' => 1,
                        'RTEonly' => 1,
                        'type' => 'script',
                        'title' => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
                        'icon' => 'wizard_rte2.gif',
                        'script' => 'wizard_rte.php',
                    ),
                ),
            )
        ),
        'thumb' => array(
            'exclude' => 0,
            'l10n_mode' => $l10n_mode_ex,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.thumb',
            'config' => array(
                'type' => 'group',
                'internal_type' => 'file',
                'allowed' => 'gif,png,jpeg,jpg',
                'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
                'uploadfolder' => 'uploads/tx_sschsimpleviewer',
                'show_thumbs' => 1,
                'size' => 1,
                'minitems' => 0,
                'maxitems' => 1,
            )
        ),
        'show_flip_button' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:ssch_simpleviewer/locallang_db.xml:tx_sschsimpleviewer_images.show_flip_button',
            'config' => array(
                'type' => 'check',
                'default' => '1'
            )
        ),
    ),
    'types' => array(
        '0' => array('showitem' => 'sys_language_uid;;;;1-1-1, hidden;;1, caption;;;richtext[]:rte_transform[mode=ts], description;;;richtext[]:rte_transform[mode=ts], link, image, thumb, show_flip_button')
    ),
    'palettes' => array(
        '1' => array('showitem' => '')
    )
);
?>