<?php
/***************************************************************
 * Copyright notice
 *
 * (c) 2009 Sebastian Schreiber (schreiber@springerf3.de)
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ssch_simpleviewer_addoptions_testcase.php 23 2010-07-22 16:28:11Z schreiberten $
 */

t3lib_div::requireOnce(t3lib_extMgm::extPath('ssch_simpleviewer') . 'lib' .DIRECTORY_SEPARATOR. 'Renderers' .DIRECTORY_SEPARATOR. 'SimpleViewerGalleryRenderer.php');

/**
 * 
 * @property SimpleViewerGalleryRenderer $viewer
 *
 */
class ssch_simpleviewer_addoptions_testcase extends tx_phpunit_testcase 
{
	/**
	 * 
	 * @var SimpleViewerGalleryRenderer
	 */
	protected $viewer = null;
	
	/**
	 * Create all neccessary stuff at the beginning
	 *
	 * @return void
	 */
	public function setUp()
	{
		$this->viewer = t3lib_div::makeInstance('SimpleViewerGalleryRenderer'); 
	}	
	
	/**
     * @expectedException ViewerAttributeException
     */
	public function test_viewerAttributeException()
	{
		$this->viewer->getAttributes(array('someFictiveAttribute' => 'No, that\'s not a valid attribute'));
	}

	/**
	 * Tests if an attribute is valid or not 
	 * @return void
	 */
	public function test_viewerIsValidAttribute()
	{
		$attributeString = $this->viewer->getAttributes(array('title' => 'Yeah, i like this attribute'));
		self::assertTrue(is_string($attributeString));
	}
	
	/**
	 * Try to free as much memory as possible at the end
	 *
	 * @return void
	 */
	public function tearDown()
	{
		$this->viewer = null;	
	}
}