<?php
/***************************************************************
 * Copyright notice
 *
 * (c) 2009 Sebastian Schreiber (schreiber@springerf3.de)
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ssch_simpleviewer_parseoptions_testcase.php 26 2010-12-04 13:17:50Z schreiberten $
 */

t3lib_div::requireOnce(t3lib_extMgm::extPath('ssch_simpleviewer') . 'lib' .DIRECTORY_SEPARATOR. 'SimpleViewerGalleryXML.php');

/**
 * 
 * @property SimpleViewerGalleryXML $viewer
 *
 */
class ssch_simpleviewer_parseoptions_testcase extends tx_phpunit_testcase 
{
	/**
	 * 
	 * @var <SimpleViewerGalleryXML>
	 */
	protected $viewer = null;
	
	/**
	 * 
	 * @var array
	 */
	protected $conf = array();
	
	/**
	 * Create all neccessary stuff at the beginning
	 *
	 * @return void
	 */
	public function setUp()
	{
		$this->viewer = t3lib_div::makeInstance('SimpleViewerGalleryXML');
		$this->conf = array('simpleviewer.' => array('attributes' => 'title:MeinTitle,thumbColumns:5,thumbRows:5'));  
	}	
	
	/**
         * Test
         */
	public function test_viewerParseOptions()
	{
		$this->viewer->setConf($this->conf);
		$this->viewer->parseOptions();
		$this->viewer->addOptionsToRenderer();
		self::assertTrue($this->viewer->getRenderer()->getOption('thumbColumns') == 5);
		self::assertTrue($this->viewer->getRenderer()->getOption('thumbRows') == 5);
		self::assertTrue($this->viewer->getRenderer()->getOption('title') == 'MeinTitle');		
	}

	/**
	 * Try to free as much memory as possible at the end
	 *
	 * @return void
	 */
	public function tearDown()
	{
		$this->viewer = null;	
	}
}