<?php

/* * *************************************************************
 * Copyright notice
 *
 * (c) 2009 Sebastian Schreiber (schreiber@springerf3.de)
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 * ************************************************************* */

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ssch_simpleviewer_pi1_testcase.php 26 2010-12-04 13:17:50Z schreiberten $
 */
t3lib_div::requireOnce(t3lib_extMgm::extPath('ssch_simpleviewer') . 'pi1' . DIRECTORY_SEPARATOR . 'class.tx_sschsimpleviewer_pi1.php');
require_once(PATH_tslib . 'class.tslib_content.php');

/**
 * 
 * @property tx_sschsimpleviewer_pi1 $pi1
 *
 */
class ssch_simpleviewer_pi1_testcase extends tx_phpunit_testcase {

    /**
     * 
     * @var tx_sschsimpleviewer_pi1
     */
    protected $pi1 = null;

    /**
     * Create all neccessary stuff at the beginning
     *
     * @return void
     */
    public function setUp() {
        $this->simulateFrontendEnviroment();
        $this->pi1 = t3lib_div::makeInstance('tx_sschsimpleviewer_pi1');
        $cObj = t3lib_div::makeInstance('tslib_cObj');
        $this->pi1->setCobj($cObj);
        $this->pi1->main('', array());
    }

    /**
     * Test the LLInitMarkerArray
     */
    public function test_llInitMarkerArray() {
        $templateCode = '###LL_ABOUT###';
        $markerArray = $this->pi1->initLLMarkerArray($templateCode);
        self::assertTrue($markerArray[$templateCode] == 'Über');
    }

    /**
     * Try to free as much memory as possible at the end
     *
     * @return void
     */
    public function tearDown() {
        $this->pi1 = null;
    }

}