<?php
/***************************************************************
 * Copyright notice
 *
 * (c) 2009 Sebastian Schreiber (schreiber@springerf3.de)
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 * @author Sebastian Schreiber <breakpoint@schreibersebastian.de>
 * @version $Id: ssch_simpleviewer_realdbentries_testcase.php 26 2010-12-04 13:17:50Z schreiberten $
 */

require_once(t3lib_extMgm::extPath('oelib') . 'class.tx_oelib_Autoloader.php');

/**
 *
 * @property tx_oelib_testingFramework $testingFramework
 *
 */
class ssch_simpleviewer_realdbentries_testcase extends tx_phpunit_testcase
{
	const TEST_TABLE = 'tx_sschsimpleviewer_gallery';
	
	/**
	 *
	 * @var $testingFramework <tx_oelib_testingFramework>
	 */
	private $testingFramework = null;

        /**
         *
         * @var string
         */
	private $path;

        /**
         * Set something up at the beginning
         */
	public function setUp()
	{
		$this->testingFramework = new tx_oelib_testingFramework(self::TEST_TABLE);
		$this->path = 'typo3conf/ext/ssch_simpleviewer/tests/fixtures/imagetestdirectory/';
	}

        /**
         * Test a real get images from db
         */
	public function test_getImagesFromDirectorySimpleViewerGallery()
	{
		// the current gallery uid
		$fixtureUid = $this->testingFramework->createRecord(self::TEST_TABLE, array('title' => 'Test Gallery', 'path' =>  $this->path, 'mode' => 0));
		$url = t3lib_div::getIndpEnv('TYPO3_SITE_URL') . '?eID=ssch_simpleviewer&gallery=' .$fixtureUid. '&galleryType=0';
		$urlFixtureXML = t3lib_div::getIndpEnv('TYPO3_DOCUMENT_ROOT') . '/typo3conf/ext/ssch_simpleviewer/tests/fixtures/xml/simpleviewertest.xml';
		$actualXml = t3lib_div::getURL($url);
		$expectedXml = t3lib_div::getURL($urlFixtureXML);
		
		self::assertXmlStringEqualsXmlString($expectedXml, $actualXml);				
	}

	/**
	 * Clean up some things at the end
	 */
	public function tearDown()
	{
		$this->testingFramework->cleanUp();
		unset($this->testingFramework);
	}
}